Bug 437753 - Gimp - "save as" GIF twice fails
Gimp - "save as" GIF twice fails
Product: Fedora
Classification: Fedora
Component: gtk2-engines (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-17 04:57 EDT by Greg
Modified: 2008-11-27 16:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-27 16:08:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ldd output (7.25 KB, text/plain)
2008-07-01 07:26 EDT, Jason Farrell
no flags Details
rpm -qa | sort (50.98 KB, text/plain)
2008-07-01 09:54 EDT, Jason Farrell
no flags Details
gimp-save-as-2.avi (6.94 MB, video/x-msvideo)
2008-07-03 10:45 EDT, Jason Farrell
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 483502 None None None Never
GNOME Desktop 488582 None None None Never
GNOME Desktop 528811 None None None Never

  None (edit)
Description Greg 2008-03-17 04:57:38 EDT
Description of problem:
GIMP's "save as" dialog fails to render the second time it is used when saving
an RGB image  as a GIF.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new RGB image in gimp
2. Save as a GIF
3. Save as a GIF a second time
Actual results:
First "save as" works, second "save as" the dialog does not render.  It does
appear, but only background colors are visible - no text or controls.

Expected results:
Dialog should always render.

Additional info:
This bug makes it clumsy to make incremental changes to an image, creating
several related GIF files in sequence.
Comment 1 Nils Philippsen 2008-03-17 06:07:07 EDT
Please check whether this issue still exists with the current version 2.4.5
which is in updates-testing currently and can be installed by running (as root)
the command:

yum --enablerepo=updates-testing update gimp\*
Comment 2 Greg 2008-03-22 00:19:09 EDT
I can confirm that the problem still exists.

I should give a more detailed sequence of steps to cause the problem, though. 
Not sure that all these steps are necessary.

1 - Create a new RGB image, draw something on it, and save as GIF.
2 - Exit GIMP and restart
3 - OPEN the previously saved GIF image.
4 - Convert it to RGB color
5 - Make a modification (draw something)
6 - SAVE AS a GIF.
7 - Make another modification
8 - SAVE AS a GIF.

The second SAVE AS hangs.

Version: gimp-2.4.5-1.fc8
Comment 3 Nils Philippsen 2008-03-25 07:21:26 EDT
I've just tested this here and didn't find anything out of the ordinary, all
three save attempts worked flawlessly... I'll try this again on an i386 KVM
virtual machine to see if the hardware makes a difference.
Comment 4 Nils Philippsen 2008-03-27 12:42:27 EDT
The KVM virtualized guest didn't work out. I uninstalled my 64bit GIMP,
installed the 32bit package and couldn't reproduce your problem with it either.

When you start GIMP from the command line, do you see any error messages?

Please run the following commands and create attachments containing their output:

ldd /usr/bin/gimp
ldd /usr/lib/gimp/2.0/plug-ins/gif
ldd /usr/lib/gimp/2.0/plug-ins/gif
Comment 5 Jason Farrell 2008-06-12 15:16:55 EDT
I can reproduce this save-as bug in F9 as well: gimp-2.4.6-1.fc9.x86_64

Same simple steps as above:
1) new image.
2) save as /tmp/foo.png
3) save as

The result is a greyed-out, unresponsive save-as dialog on the second save
attempt. It's quite annoying not being able to save modified versions.
Comment 6 Jason Farrell 2008-06-12 15:19:44 EDT

(gimp:30670): Gtk-WARNING **: idle activate multiple times without clearing the
folder object first.

(gimp:30670): Gtk-CRITICAL **: gtk_file_folder_unix_get_info: assertion `strcmp
(dirname, folder_unix->filename) == 0' failed
Comment 7 Nils Philippsen 2008-07-01 05:01:12 EDT
I still wait for the output of the ldd commands in comment #4...
Comment 8 Jason Farrell 2008-07-01 07:25:13 EDT
(In reply to comment #7)
> I still wait for the output of the ldd commands in comment #4...

I can still easily reproduce this bug: using save-as to any image file type (not
just gif), twice, 'hangs' the dialog. The error shown is the same as in comment #6.

In any case, I'll attach the ldd output here as well.
Comment 9 Jason Farrell 2008-07-01 07:26:55 EDT
Created attachment 310652 [details]
ldd output
Comment 10 Nils Philippsen 2008-07-01 08:58:51 EDT
Nothing obvious in the ldd output and I still can't reproduce it...

Would you please attach the list of packages you have installed ("rpm -qa | sort")?
Comment 11 Jason Farrell 2008-07-01 09:54:49 EDT
Created attachment 310670 [details]
rpm -qa | sort

I have updates-testing enabled, but there's no other naughty 3rd party packages
installed that should affect gimp. also, if it makes any difference, i'm using
Comment 12 Nils Philippsen 2008-07-03 10:00:15 EDT
(In reply to comment #11)
> Created an attachment (id=310670) [edit]
> rpm -qa | sort
> I have updates-testing enabled, but there's no other naughty 3rd party packages
> installed that should affect gimp. also, if it makes any difference, i'm using
> KDE.

It seems you have way more than updates-testing ;-). I found package versions
which I could only pull directly from Koji as well as nvidia kernel modules
which I count among "naughty 3rd party packages" ;-) but aren't likely to
contribute to the issue.

Do you have the chance to try this on a "pristine" Fedora system (i.e. no
updates-testing, 3rd party repos)? You could also try whether you see the
problem when you run the Live CD.
Comment 13 Jason Farrell 2008-07-03 10:40:39 EDT
Yes - It's reproducable on the Live CD as well.
Comment 14 Jason Farrell 2008-07-03 10:45:54 EDT
Created attachment 310928 [details]

a 60 second vidcap demo of the bug using the live cd
Comment 15 Nils Philippsen 2008-07-07 04:35:12 EDT
Since I didn't "succeed" in having the save dialog hang on me, I browsed a bit
through upstream bugs and found a few bugs:

http://bugzilla.gnome.org/show_bug.cgi?id=483502 - Save as dialog comes up empty
on second use
http://bugzilla.gnome.org/show_bug.cgi?id=528811 - should not keep file-chooser
dialogs around

http://bugzilla.gnome.org/show_bug.cgi?id=488582 - "Save as" doesn't work second

I read these as if the problem isn't in the GIMP itself, but in GTK or the used
engine respectively.
Comment 16 Bug Zapper 2008-11-26 05:11:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 17 Jason Farrell 2008-11-27 16:08:11 EST
Closing. Not reproducible in gimp 2.6.

Note You need to log in before you can comment on or make changes to this bug.